package com.qmth.digit.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.digit.print.business.bean.dto.UserDto;
import com.qmth.digit.print.business.bean.query.UserParam;
import com.qmth.digit.print.business.entity.SysUser;
import com.qmth.digit.print.business.mapper.SysUserMapper;
import com.qmth.digit.print.business.service.SysUserService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements SysUserService {

    @Override
    public IPage<UserDto> list(UserParam param) {
        IPage<UserDto> page = new Page<>(param.getPageNumber(), param.getPageSize());
        IPage<UserDto> userDtoIPage =  this.baseMapper.listPage(page, param);
        return userDtoIPage;
    }
}
